/***********************************************************************/
/*                                                                     */
/*                         Caml Special Light                          */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1995 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* fix_code.h,v 1.2 1995/08/09 15:01:05 xleroy Exp */

/* Translate a block of bytecode (endianness switch, threading). */

#ifndef _fix_code_
#define _fix_code_


#include "misc.h"
#include "mlvalues.h"

void fixup_endianness P((code_t code, asize_t len));
void thread_code P((code_t code, asize_t len, void * instr_table[]));


#endif

